ChangeSet 1.1525.6.7, 2003/07/01 13:45:37-07:00, stern@rowland.harvard.edu

[PATCH] USB: Reconcile unusual_devs.h in 2.4 and 2.5

This patch for 2.5 copies into unusual_devs.h an entry that is present in
2.4 but missing here.  It also adds back the IGNORE_SER flag with a dummy
value, just for backward compatibility.


 drivers/usb/storage/unusual_devs.h |   11 +++++++++--
 drivers/usb/storage/usb.h          |    1 +
 2 files changed, 10 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Tue Jul  1 14:22:08 2003
+++ b/drivers/usb/storage/unusual_devs.h	Tue Jul  1 14:22:08 2003
@@ -279,6 +279,12 @@
 		US_SC_UFI, US_PR_CB, NULL,
 		US_FL_SINGLE_LUN ),
 		
+UNUSUAL_DEV(  0x054c, 0x0069, 0x0000, 0x9999,
+		"Sony",
+		"Memorystick MSC-U03",
+		US_SC_UFI, US_PR_CB, NULL,
+		US_FL_SINGLE_LUN ),
+
 /* Submitted by Nathan Babb <nathan@lexi.com> */
 UNUSUAL_DEV(  0x054c, 0x006d, 0x0000, 0x9999,
 		"Sony",
@@ -407,7 +413,8 @@
 UNUSUAL_DEV(  0x0781, 0x0002, 0x0009, 0x0009, 
 		"Sandisk",
 		"ImageMate SDDR-31",
-		US_SC_SCSI, US_PR_BULK, NULL, 0 ),
+		US_SC_SCSI, US_PR_BULK, NULL,
+		US_FL_IGNORE_SER ),
 
 UNUSUAL_DEV(  0x0781, 0x0100, 0x0100, 0x0100,
 		"Sandisk",
@@ -563,7 +570,7 @@
 		"5-in-1 Card Reader",
 		US_SC_SCSI, US_PR_BULK, NULL,
 		US_FL_FIX_CAPACITY ),
-                
+
 UNUSUAL_DEV(  0x097a, 0x0001, 0x0000, 0x0001,
 		"Minds@Work",
 		"Digital Wallet",
diff -Nru a/drivers/usb/storage/usb.h b/drivers/usb/storage/usb.h
--- a/drivers/usb/storage/usb.h	Tue Jul  1 14:22:08 2003
+++ b/drivers/usb/storage/usb.h	Tue Jul  1 14:22:08 2003
@@ -71,6 +71,7 @@
 #define US_FL_SINGLE_LUN      0x00000001 /* allow access to only LUN 0	    */
 #define US_FL_MODE_XLATE      0x00000002 /* translate _6 to _10 commands for
 						    Win/MacOS compatibility */
+#define US_FL_IGNORE_SER      0		 /* [no longer used]		    */
 #define US_FL_SCM_MULT_TARG   0x00000020 /* supports multiple targets	    */
 #define US_FL_FIX_INQUIRY     0x00000040 /* INQUIRY response needs fixing   */
 #define US_FL_FIX_CAPACITY    0x00000080 /* READ CAPACITY response too big  */
